package cn.com.qmth.examcloud.core.oe.admin.client;

import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.oe.admin.api.ExamRecordForMarkingCloudService;
import cn.com.qmth.examcloud.core.oe.admin.api.request.FindExamRecordForMarkingInfoReq;
import cn.com.qmth.examcloud.core.oe.admin.api.request.QueryValidExamRecordInfoReq;
import cn.com.qmth.examcloud.core.oe.admin.api.response.FindExamRecordForMarkingInfoResp;
import cn.com.qmth.examcloud.core.oe.admin.api.response.QueryValidExamRecordInfoResp;

@Service
public class ExamRecordForMarkingCloudServiceClient extends AdminCloudClientSupport
		implements
			ExamRecordForMarkingCloudService {
	private static final long serialVersionUID = 2457700818728109540L;

	@Override
	public FindExamRecordForMarkingInfoResp findExamRecordForMarkingInfo(
			FindExamRecordForMarkingInfoReq findExamRecordForMarkingInfoReq) {
		return post("examRecordForMarking/findExamRecordForMarkingInfo",
				findExamRecordForMarkingInfoReq, FindExamRecordForMarkingInfoResp.class);
	}

	@Override
	public QueryValidExamRecordInfoResp queryValidExamRecordInfo(QueryValidExamRecordInfoReq req) {
		return post("examRecordForMarking/queryValidExamRecordInfo", req,
				QueryValidExamRecordInfoResp.class);
	}

}
