package cn.com.qmth.examcloud.core.oe.student.face.client;

import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.oe.student.face.api.ExamCaptureQueueCloudService;
import cn.com.qmth.examcloud.core.oe.student.face.api.request.ExamCaptureQueueReq;

@Service("examCaptureQueueCloudService")
public class ExamCaptureQueueCloudServiceClient extends BasicCloudClientSupport
		implements
			ExamCaptureQueueCloudService {

	private static final long serialVersionUID = -4653085252925280697L;

	@Override
	public void processingExamCaptureQueue() {
		post("examCaptureQueue/processingExamCaptureQueue", null, null);
	}

	@Override
	public void disposeExamCapturePhoto(ExamCaptureQueueReq examCaptureQueueReq) {
		post("examCaptureQueue/disposeExamCapturePhoto", examCaptureQueueReq, null);
	}

	@Override
	public void changeExamCaptureQueueStatus() {
		post("examCaptureQueue/changeExamCaptureQueueStatus", null, null);
	}

	@Override
	public void examCaptureQueueFailedDispose() throws Exception {
		post("examCaptureQueue/examCaptureQueueFailedDispose", null, null);
	}

}
